#include <iostream>
#include <print>
#include <cstdlib>

// main() Funktion
int main()
{
   unsigned int noOfValues; // Anzahl der Zufallszahlen

   // Anzahl der Zufallszahlen einlesen
   std::print("Aus wie vielen Zufallszahlen soll\n"
            "der Mittelwert berechnet werden? ");
   std::cin >> noOfValues;

   // Feld für Zufallszahlen reservieren
   auto pValues = new int[noOfValues];

   // Feld mit Zufallszahlen belegen
   for (auto loop=0U; loop<noOfValues; loop++)
      pValues[loop] = rand() % 100;

   // Nun alle Zahlen im Feld aufsummieren
   auto sum = 0;
   for (auto loop=0U; loop<noOfValues; loop++)
      sum += (double)pValues[loop];

   // Mittelwert berechnen und ausgeben
   std::println("Der Mittelwert ist: {}", (double)sum / (double)noOfValues);

   // Feld auch wieder löschen
   delete [] pValues;
}
